Bug 1544771 (CVE-2018-6942) - CVE-2018-6942 freetype: NULL pointer dereference in the Ins_GETVARIATION() function
Summary: CVE-2018-6942 freetype: NULL pointer dereference in the Ins_GETVARIATION() fu...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2018-6942
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1544775 1544776
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-02-13 13:36 UTC by Andrej Nemec
Modified: 2019-09-29 14:32 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:39:50 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2018-02-13 13:36:41 UTC
An issue was discovered in FreeType 2 through 2.9. A NULL pointer dereference in the Ins_GETVARIATION() function within ttinterp.c could lead to DoS via a crafted font file.

Upstream patch:

https://git.savannah.gnu.org/cgit/freetype/freetype2.git/commit/?id=29c759284e305ec428703c9a5831d0b1fc3497ef

Comment 1 Andrej Nemec 2018-02-13 13:39:10 UTC
Created freetype tracking bugs for this issue:

Affects: fedora-all [bug 1544776]


Note You need to log in before you can comment on or make changes to this bug.